import Vue from 'vue';
import Actionsheet from './index.vue';

const ActionsheetConstructor = Vue.extend(Actionsheet);

const defaultCallback = action => {

}

const initInstance = () => {
  instance = new ActionsheetConstructor({
    el: document.createElement('div')
  });

  instance.callback = defaultCallback;
};

export default function createActionsheetl(data) {
  return new Vue({
    el: parent,
    data() {
      return data;
    },
    methods: {
      handleSelect(value){
        this.$emit('select', value)
      }
    },
    render(h) {
      return h(
        Actionsheet, {
          props: data,
          on: {
            'select': this.handleSelect
          }
        }
      );
    },
  });
};
