import Vue from "vue";
import App from "./App.vue";
import { router } from "./router";
import store from "./store";
import request from "axios"
import '@/icons' // icon

import Vant from 'vant';
import 'vant/lib/index.css';

Vue.use(Vant);

import TgUI from './registerFile.js';

Vue.use(TgUI)

Vue.prototype.$request = request


// console.log('componentList', componentList)
// Object.keys(componentList).forEach(key => {
// 	let tgComponent = componentList[key]
// 	// let componentName = tgComponent.name
// 	// Vue.component(componentName, tgComponent)
// 	Vue.use(tgComponent)
// });

// Object.keys(methodList).forEach(key => {
// 	let tgMethod = methodList[key]
// 	Vue.use(tgMethod)
// });

Vue.config.productionTip = false;

new Vue({
	router,
	store,
	render: h => h(App)
}).$mount("#app");
