import actionBar from './components/action-bar'
import actionsheet from './components/actionsheet'
import button from './components/button'
import cell from './components/cell'
import checkbox from './components/checkbox'
import checkboxgroup from './components/checkboxgroup'
import form from './components/form'
import formItem from './components/form-item'
import jsonText from './components/json-text'
import mySwitch from './components/my-switch'
import popover from './components/popover'
import productCard from './components/product-card'
import progress from './components/progress'
import radio from './components/radio'
import radiogroup from './components/radiogroup'
import stepper from './components/stepper'
import svgIcon from './components/svg-icon'
import swipe from './components/swipe'
import test1 from './components/test1'
import textPanel from './components/text-panel'
import tips from './components/tips'
import toast from './components/toast'

let componentList = [
    actionBar,
 actionsheet,
 button,
 cell,
 checkbox,
 checkboxgroup,
 form,
 formItem,
 jsonText,
 mySwitch,
 popover,
 productCard,
 progress,
 radio,
 radiogroup,
 stepper,
 svgIcon,
 swipe,
 test1,
 textPanel,
 tips,
 toast,

]

export function install(Vue) {
    componentList.map(component =>{
        Vue.component(component.name, component)
    })
    Vue.use(actionsheet)
Vue.use(toast)
    
}

if(typeof window !== 'undefined' && window.Vue) {
    install(window.Vue)
}

export {
actionBar,
 actionsheet,
 button,
 cell,
 checkbox,
 checkboxgroup,
 form,
 formItem,
 jsonText,
 mySwitch,
 popover,
 productCard,
 progress,
 radio,
 radiogroup,
 stepper,
 svgIcon,
 swipe,
 test1,
 textPanel,
 tips,
 toast,
}
export default {
    install,
}