
import * as registerFile from '../registerFile.js'
const { cameltoLowerCase } = require('../utils/index')

console.log('>>>componentList', registerFile)
let pages = []

const filterModule = ['default', 'install', 'action-bar', 'form-item']
Object.keys(registerFile).forEach(item => {
    let name = cameltoLowerCase(item)
    if(!~filterModule.indexOf(name)) {
        pages.push({
            path: `/${name}`,
            name: registerFile[item].name,
            component: () =>
                import(`../components/${name}/demo`)
        })
    }
})

export {
    pages
}
